Package com.independentsoft.office.spreadsheet.extensions

# Class X14SlicerList

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14SlicerList

All Implemented Interfaces:
  `IExtensionContent`

public class X14SlicerList extends Object implements IExtensionContent
Represents a slicer reference list (`x14:slicerList` or `x15:slicerList` element), linking a worksheet or workbook to its slicer parts by relationship id.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `RELATIONSHIP_NAMESPACE`
  The relationship namespace of the slicer references.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14SlicerList()`
  Instantiates a new x14 slicer list.
  `X14SlicerList​(InternalXMLStreamReader reader, String prefix, String namespaceUri)`
  Instantiates a new x14 slicer list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14SlicerList`
  `clone()`
  Clone.
  `List<String>`
  `getRelationshipIds()`
  Gets the relationship ids of the referenced slicer parts.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RELATIONSHIP_NAMESPACE

    public static final String RELATIONSHIP_NAMESPACE
    The relationship namespace of the slicer references.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### X14SlicerList

    public X14SlicerList()
    Instantiates a new x14 slicer list.

  - ### X14SlicerList

    public X14SlicerList​(InternalXMLStreamReader reader, String prefix, String namespaceUri) throws XMLStreamException
    Instantiates a new x14 slicer list.

    Enters positioned ON the `slicerList` start element and leaves positioned ON its end element, so the caller's loop advances past it.

    Parameters:
      `reader` - the reader
      `prefix` - the prefix the element is emitted with (e.g. "x14", "x15")
      `namespaceUri` - the namespace of the element
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public X14SlicerList clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRelationshipIds

    public List<String> getRelationshipIds()
    Gets the relationship ids of the referenced slicer parts.
    Returns:
      the relationship ids